# Code for paper "Interventionally consistent surrogates for complex simulation models"

## Install

Start and activate a new `venv`, navigate to the top directory for this repo, and do `pip install -e ./` to install in edit mode (in case there are bugs I haven't spotted)

## Instructions for running code
From the command line run (variables will be explained below)

```
python job_script.py --family FAMILY --seed SEEDS --dirname DIRNAME
```

In the above, set
- `FAMILY` to one of `lode`, `lodernn`, `lrnn`
- `SEED` to any sequence of seeds (e.g., `0 1 3` to run code three times at seed `0`, `1`, and `3`)
- `DIRNAME` to the folder in which you'd like to dump the output of the script

Omitting the `--seeds` argument will make the seeds default to `list(range(5))`, which is what was used to generate the 5-fold cross-validation results reported in the paper.
